{
    /**
     * @param {HTMLElement} host
     * @param {import("../../linha-tempo/1.0.1/GOVBRTimelineUserControl.mjs").GOVBRTimelineUserControl} data
     */
    const init = async (host, data) => {
        await GOVBRPlataformaJS.importarModulo(data.URL_CDN, 'linha-tempo', data.VERSAO_JS_COMPONENTE, 'GOVBRTimelineUC');
        host.innerHTML = `
        <div class="govbr-timeline-base"></div>
        `;
        data.clickBotaoItem = () => {
            GOVBR.logs.debug('clickBotaoItem', data);
        };
        new GOVBRTimelineUC(data, host.querySelector('.govbr-timeline-base'));
    };
    GOVBRDemos.addInitComponente('linha-tempo', init);
}
